/ Toggle Switch Button / Getting Started
Search results

Getting started with Angular Toggle Switch Button component

21 Dec 2022 / 3 minutes to read

This section explains how to create a simple Switch, and demonstrate the basic usage of the Switch module in an Angular environment.

Dependencies

The following list of dependencies are required to use the Switch module in your application.

Copied to clipboard
|-- @syncfusion/ej2-angular-buttons
   |-- @syncfusion/ej2-angular-base
   |-- @syncfusion/ej2-base
   |-- @syncfusion/ej2-buttons

Setup Angular environment

You can use Angular CLI to setup your Angular applications. To install Angular CLI use the following command.

Copied to clipboard
npm install -g @angular/cli

Create an Angular application

Start a new Angular application using below Angular CLI command.

Copied to clipboard
ng new my-app
cd my-app

Installing Syncfusion Switch package

Syncfusion packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion package from npm link.

Currently, Syncfusion provides two types of package structures for Angular components,

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-buttons package to the application.

Copied to clipboard
npm install @syncfusion/ej2-angular-buttons --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-buttons@ngcc package to the application.

Copied to clipboard
npm install @syncfusion/ej2-angular-buttons@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

Copied to clipboard
@syncfusion/ej2-angular-buttons:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Adding Switch module

Import Switch module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-buttons.

Copied to clipboard
import { NgModule }      from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

// Imported Syncfusion Switch module from buttons package.
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';

import { AppComponent }  from './app.component';

@NgModule({
 imports:      [ BrowserModule, SwitchModule ], // Registering EJ2 Switch Module.
 declarations: [ AppComponent ],
 bootstrap:    [ AppComponent ]
})
export class AppModule { }

Adding Syncfusion Switch component

Modify the template in app.component.ts file to render the Switch component.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
 selector: 'app-root',
 template: `<!-- To Render Switch with checked state. -->
        <ejs-switch [checked]="true"></ejs-switch>`
})
export class AppComponent  { }

Adding CSS reference

Add Switch component’s styles as given below in style.css.

Copied to clipboard
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

Running the application

Run the application in the browser using the following command:

Copied to clipboard
ng serve

The below example shows a basic Switch component,

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
template: `<!-- To Render Switch with checked state. -->
           <ejs-switch [checked]="true"></ejs-switch>`
})

export class AppComponent { }
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        SwitchModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Set text on Switch

This section explains how to set onLabel and offLabel texts on Switch. In the following example, onLabel is set as ON and offLabel is set as OFF.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
template: `<!-- To Render Switch. -->
           <ejs-switch onLabel="ON" offLabel="OFF" [checked]="true"></ejs-switch>`
})

export class AppComponent { }
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        SwitchModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Switch does not have text support for material themes, and does not support long custom text.

Search results

Getting started with Vue Switch component

20 Mar 2023 / 2 minutes to read

This section explains how to create a simple Switch, and configure its available functionalities in Vue, using Vue quickstart seed repository.

Prerequisites

System requirements for Syncfusion Vue UI components

Dependencies

The list of dependencies required to use the Switch component in your application is given below:

Copied to clipboard
|-- @syncfusion/ej2-vue-buttons
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-buttons
    |-- @syncfusion/ej2-vue-base

Installation and configuration

You can use Vue CLI to setup your vue applications. To install Vue CLI use the following command.

Copied to clipboard
npm install -g @vue/cli

npm install -g @vue/cli-init

Start a new project using below Vue CLI command.

Copied to clipboard
vue init webpack-simple quickstart

cd quickstart

npm install

Install Syncfusion Switch packages using below command.

Copied to clipboard
npm install @syncfusion/ej2-vue-buttons --save

Registering Switch component using Vue.use()

Import the Switch Plugin from the Essential JS 2 Vue package and register the same using Vue.use() with Component Plugin as its argument.

Refer to the code snippet given below.

Copied to clipboard
import Vue from 'vue';
import { SwitchPlugin } from "@syncfusion/ej2-vue-buttons";

Vue.use(SwitchPlugin);

export default {}

By registering component plugin in Vue, all child directives are also globally registered. We can also use Vue.Component() to register Switch. Refer here to know more about component registration.

Initialize Switch

Add the EJ2 Vue Switch using <ejs-switch> to the <template> section of the App.vue file in src directory.

Copied to clipboard
<template>
  <ejs-switch checked=true></ejs-switch>
</template>

<script>
import Vue from 'vue';
import { SwitchPlugin } from "@syncfusion/ej2-vue-buttons";

Vue.use(SwitchPlugin);

export default {}
</script>

Adding CSS Reference

Add Switch component’s styles as given below in <style> section of the App.vue file.

Copied to clipboard
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
</style>

Run the application

Now run the npm run dev command in the console, it will build your application and open in the browser.

The following example shows a basic Switch.

Source
Preview
app.vue
Copied to clipboard
<template>
  <ejs-switch checked=true></ejs-switch>
</template>

<script>
import Vue from 'vue';
import { SwitchPlugin } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
Vue.use(SwitchPlugin);

export default {}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";

.e-switch-wrapper {
  margin: 18px;
}
</style>

Set text on Switch

Switch component has text support. This can be achieved by setting onLabel and offLabel on Switch.

Switch does not have text support for material themes, and does not support long custom text.